Home

account_currencies

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a list of currencies that an account can send or receive, based on its trust lines. This method only returns currencies that the account can use in payments, not currencies that the account holds but cannot use in payments.

Body

application/json

Returns a list of currencies that an account can send or receive, based on its trust lines. This method only returns currencies that the account can use in payments, not currencies that the account holds but cannot use in payments.

JSON-RPC request payload.

methodstringaccount_currenciesrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose currencies are being queried.

account_indexinteger

(Optional) The unique identifier of the account, as a number. This is an alternative way to specify the account.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger (recommended)
  • "closed": The most recent closed ledger
  • "current": The current working ledger
strictboolean

(Optional) If true, only accept a public key or XRP Ledger address for the account parameter. Otherwise, try to derive the account from other types like seeds.

Response

200OK

HTTP 200 response for account_currencies. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.